.heading-with-link {
  display: flex;
  gap: 20px;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}

@media (max-width: 959px) {
  .heading-with-link {
    flex-direction: column;
    align-items: flex-start;
    gap: 1rem;
  }
}

.heading-with-link__content {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.heading-with-link__subtitle {
  margin: 0;
  font-size: 16px;
  color: #121212BF;
  text-transform: uppercase;
}

.heading-with-link__view-more {
  display: flex;
  gap: 0.75rem;
  align-items: center;
  min-width: 10%;
}

.heading-with-link__view-more-text {
  background: linear-gradient(to right, currentColor, currentColor) 0 min(100%, 1.35em) / 0 1px no-repeat;
  transition: background-size 0.3s ease-in-out;
}

.heading-with-link__view-more-icon {
  width: 1.5rem;
  height: 1.5rem;
  border-radius: 9999px;
  background: rgba(var(--color-text), 0.1);
  flex-shrink: 0;
  place-items: center;
  transition: background-color 0.2s ease-in-out, color 0.2s ease-in-out;
  display: grid;
}

.heading-with-link__view-more:hover .heading-with-link__view-more-text,
.heading-with-link__view-more:focus-visible .heading-with-link__view-more-text {
  background-size: 100% 1px;
}

.heading-with-link__view-more:hover .heading-with-link__view-more-icon,
.heading-with-link__view-more:focus-visible .heading-with-link__view-more-icon {
  background: rgb(var(--color-text));
  color: rgb(var(--color-background));
}

.heading-with-link__view-more > span {
  color: rgb(var(--color-text));
}

.heading-with-link__view-more svg {
  flex-shrink: 0;
}
